package com.hw.qms.domain;

import java.math.BigDecimal;
import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 质检结果详情对象 qms_check_result_detail
 *
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckResultDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 质检结果详情ID */
    private Long checkResultDetailId;

    /** 质检结果ID，关联质检结果主键 */
    @Excel(name = "质检结果ID，关联质检结果主键")
    private Long checkResultId;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String materialBarcode;

    /** 物料ID，关联物料主键 */
    @Excel(name = "物料ID，关联物料主键")
    private Long materialId;

    /** 检验规则ID(冗余，与质检结果中值相同),关联检验规则主键 */
    @Excel(name = "检验规则ID(冗余，与质检结果中值相同),关联检验规则主键")
    private Long checkRuleId;

    /** 冗余，检验规则类型(1来料检验,2,半成品检验，3成品检验,4工序检验) */
    @Excel(name = "冗余，检验规则类型(1来料检验,2,半成品检验，3成品检验,4工序检验)")
    private String checkRuleType;

    /** 冗余，检验规则名称 */
    @Excel(name = "冗余，检验规则名称")
    private String checkRuleName;

    /** 冗余，检验方式(1,全检2,抽检) */
    @Excel(name = "冗余，检验方式(1,全检2,抽检)")
    private String checkMode;

    /** 冗余，抽检比例 */
    @Excel(name = "冗余，抽检比例")
    private BigDecimal checkSample;

    /** 检验状态(0待检验,1检验中,2质检通过,3质检不通过) */
    @Excel(name = "检验状态(0待检验,1检验中,2质检通过,3质检不通过)")
    private String checkStatus;


    private String materialCode;

    private String materialName;

    private String poNo;

    private String saleorderCode;

    private List<QmsCheckResultDetailProject> checkResultDetailProjectLists;

    /** 质检结果详情项目信息信息 */
    private List<QmsCheckResultDetailProject> qmsCheckResultDetailProjectList;

    public void setCheckResultDetailId(Long checkResultDetailId)
    {
        this.checkResultDetailId = checkResultDetailId;
    }

    public Long getCheckResultDetailId()
    {
        return checkResultDetailId;
    }
    public void setCheckResultId(Long checkResultId)
    {
        this.checkResultId = checkResultId;
    }

    public Long getCheckResultId()
    {
        return checkResultId;
    }
    public void setMaterialBarcode(String materialBarcode)
    {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode()
    {
        return materialBarcode;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public Long getCheckRuleId() {
        return checkRuleId;
    }

    public void setCheckRuleId(Long checkRuleId) {
        this.checkRuleId = checkRuleId;
    }

    public String getCheckRuleType() {
        return checkRuleType;
    }

    public void setCheckRuleType(String checkRuleType) {
        this.checkRuleType = checkRuleType;
    }

    public String getCheckRuleName() {
        return checkRuleName;
    }

    public void setCheckRuleName(String checkRuleName) {
        this.checkRuleName = checkRuleName;
    }

    public String getCheckMode() {
        return checkMode;
    }

    public void setCheckMode(String checkMode) {
        this.checkMode = checkMode;
    }

    public BigDecimal getCheckSample() {
        return checkSample;
    }

    public void setCheckSample(BigDecimal checkSample) {
        this.checkSample = checkSample;
    }

    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getPoNo() {
        return poNo;
    }

    public void setPoNo(String poNo) {
        this.poNo = poNo;
    }

    public String getSaleorderCode() {
        return saleorderCode;
    }

    public void setSaleorderCode(String saleorderCode) {
        this.saleorderCode = saleorderCode;
    }

    public List<QmsCheckResultDetailProject> getQmsCheckResultDetailProjectList()
    {
        return qmsCheckResultDetailProjectList;
    }

    public void setQmsCheckResultDetailProjectList(List<QmsCheckResultDetailProject> qmsCheckResultDetailProjectList)
    {
        this.qmsCheckResultDetailProjectList = qmsCheckResultDetailProjectList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("checkResultDetailId", getCheckResultDetailId())
                .append("checkResultId", getCheckResultId())
                .append("materialBarcode", getMaterialBarcode())
                .append("materialId", getMaterialId())
                .append("checkRuleId", getCheckRuleId())
                .append("checkRuleType", getCheckRuleType())
                .append("checkRuleName", getCheckRuleName())
                .append("checkMode", getCheckMode())
                .append("checkSample", getCheckSample())
                .append("checkStatus", getCheckStatus())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("qmsCheckResultDetailProjectList", getQmsCheckResultDetailProjectList())
            .toString();
    }
}
